explain_fdopen_or_die(3)

NAME
explain_fdopen_or_die - stream open functions and report errors
    "stream open functions and report errors"

SYNOPSIS
#include <libexplain/fdopen.h>

void explain_fdopen_or_die(int fd, const char *mode);

DESCRIPTION
The explain_fdopen_or_die function is used to call the fdopen(3) system call. On failure an explanation will be printed to stderr, obtained from explain_fdopen(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    FILE *fp = explain_fdopen_or_die(fd, mode);

fd  The fd, exactly as to be passed to the fdopen(3) system call.

mode
    The mode, exactly as to be passed to the fdopen(3) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

fdopen(3)
    stream open functions

explain_fdopen(3)
    explain fdopen(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2008 Peter Miller